Subject: Re: Poor profile generation performance on spinning disks

From: Luis Felipe <[email-masked]>
Date: Sun, 27 Aug 2023 17:59:28 +0000

Hi,

On Saturday, August 26th, 2023 at 22:11, [email-masked] <[email-masked]> wrote:

> Shall we go ahead and close this bug report?

I'm okay with that.

> I do not recall a recent time that someone complained about Guix System's slow profile generation on hard drives. I currently use guix system on an SSD...but I could install Guix on a Dell Optiplex 7010 on a hard drive to test if you all would like.

I still use the same computer with the same hard drive, and performance has improved when installing packages. Running

  $ time guix package -i perl --max-jobs=1

initially took

  (87 packages in profile)
  real    8m3,043s
  user    0m2,656s
  sys    0m0,239s

But now (guix 17fadbb), it takes

  (96 packages in profile)
  real	3m51,058s
  user	0m7,490s
  sys	0m0,788s

Whether that's acceptable or not when using spinning disks, I don't know. I'll step aside :)